Package org.bukkit.event.block

# Class BlockPistonEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockPistonEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `BlockPistonExtendEvent`, `BlockPistonRetractEvent`

public abstract class BlockPistonEvent extends BlockEvent implements Cancellable
Called when a piston block is triggered

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockPistonEvent(@NotNull Block block, @NotNull BlockFace direction)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull BlockFace`
`getDirection()`
Return the direction in which the piston will operate.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`boolean`
`isSticky()`
Returns true if the Piston in the event is sticky.
`void`
`setCancelled(boolean cancelled)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockPistonEvent

public BlockPistonEvent(@NotNull @NotNull Block block, @NotNull @NotNull BlockFace direction)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancelled` - true if you wish to cancel this event

### isSticky

public boolean isSticky()
Returns true if the Piston in the event is sticky.

Returns:
  stickiness of the piston

### getDirection

@NotNull public @NotNull BlockFace getDirection()
Return the direction in which the piston will operate.

Returns:
  direction of the piston